---
title: translate
slug: Web/XPath/Functions/translate
tags:
  - XSLT
  - XSLT_Reference
---
<p>{{ XsltRef() }}</p>

<p><br>
 The <code>translate</code> function evaluates a string and a set of characters to translate and returns the translated string.</p>

<h3 id="Syntax">Syntax</h3>

<pre class="eval">translate(<em>string</em>, <em>abc</em>, <em>XYZ</em>)
</pre>

<h3 id="Arguments">Arguments</h3>

<dl>
 <dt><em><code>string</code></em></dt>
 <dd>The string to evaluate.</dd>
</dl>

<dl>
 <dt><em><code>abc</code></em></dt>
 <dd>The string of characters that will be replaced.</dd>
</dl>

<dl>
 <dt><em><code>XYZ</code></em></dt>
 <dd>The string of characters used for replacement. The first character in <em><code>XYZ</code></em> will replace every occurrence of the first character in <em><code>abc</code></em> that appears in <em><code>string</code></em>.</dd>
</dl>

<h3 id="Returns">Returns</h3>

<p>The translated string.</p>

<h3 id="Notes">Notes</h3>

<p>XPath notes that the translate function is not a sufficient solution for case conversion in all languages. A future version of XPath may provide additional functions for case conversion.</p>

<p>However, this is the closest we have at present to a function that can convert a string to uppercase or lowercase.</p>

<p>Example</p>

<pre class="eval">&lt;xsl:value-of select="translate('The quick brown fox.', 'abcdefghijklmnopqrstuvwxyz', 'ABCDEFGHIJKLMNOPQRSTUVWXYZ')" /&gt;
</pre>

<p>Output</p>

<pre class="eval">THE QUICK BROWN FOX.
</pre>

<ul>
 <li>If <em><code>abc</code></em> is longer than <em><code>XYZ</code></em>, then every occurrence of characters in <em><code>abc</code></em> that do not have a corresponding character in <em><code>XYZ</code></em> will be removed.</li>
</ul>

<p>Example</p>

<pre class="eval">&lt;xsl:value-of select="translate('The quick brown fox.', 'brown', 'red')" /&gt;
</pre>

<p>Output</p>

<pre class="eval">The quick red fdx.
</pre>

<ul>
 <li>If <em><code>XYZ</code></em> contains more characters than <em><code>abc</code></em>, the extra characters are ignored.</li>
</ul>

<h3 id="Defined">Defined</h3>

<p><a class="external" href="http://www.w3.org/TR/xpath#function-translate">XPath 1.0 4.2</a></p>

<h3 id="Gecko_support">Gecko support</h3>

<p>Supported.</p>
